Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.concurrent
Interface ScheduledFuture<V>

Type Parameters:
  `V` - The result type returned by this Future

All Superinterfaces:
  Comparable<Delayed>, Delayed, Future<V>

    public interface ScheduledFuture<V>

extends Delayed, Future<V>

A delayed result-bearing action that can be cancelled. Usually a scheduled future is the result of scheduling a task with a `ScheduledExecutorService`.

Since:
  1.5

Method Summary

Methods inherited from interface java.util.concurrent.Delayed
`getDelay`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface java.util.concurrent.Future
`cancel, get, get, isCancelled, isDone`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.